Subject: Re: bug#8517: Can't handle utf8 encoded filenames in locale 'de_DE.utf8'

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 21 Aug 2019 13:56:32 -0700

Rob Browning <[email-masked]> writes:

> It turns out that the problem was being caused by this call from .emacs:
>
>   (current-language-environment "German")
>
> which appears to make Emacs prefer latin-1.
>
> I wasn't sure if this should be considered an actual problem, or just a
> configuration error, so I thought I should forward it.

I think this is working as it's supposed t.  The "German" environment is
apparently defined as follows:

 ("German"
  (documentation . "This language environment is almost the same as Latin-1,\nbut sets the default input method to \"german-postfix\".\nAdditionally, it selects the German tutorial.")
  (sample-text . "German (Deutsch Nord)	Guten Tag\nGerman (Deutsch Süd)	Grüß Gott")
  (unibyte-display . iso-latin-1)
  (input-method . "german-postfix")
  (nonascii-translation . iso-8859-1)
  (coding-priority iso-latin-1)
  (coding-system iso-latin-1 iso-latin-9)
  (charset iso-8859-1)
  (tutorial . "TUTORIAL.de"))

So while it may be surprising in this day and age that that's what this
does, I don't think the definition can be changed (because that'd break
the setup of people who rely on "German" to be iso-8859-1).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no